VSDInternalStream Class Reference

`#include <VSDInternalStream.h>`

Inheritance diagram for VSDInternalStream:

## Public Member Functions

| VSDInternalStream (librevenge::RVNGInputStream *input, unsigned long size, bool compressed=false)
| ~VSDInternalStream () override
bool | isStructured () override
unsigned | subStreamCount () override
const char * | subStreamName (unsigned) override
bool | existsSubStream (const char *) override
librevenge::RVNGInputStream * | getSubStreamByName (const char *) override
librevenge::RVNGInputStream * | getSubStreamById (unsigned) override
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead) override
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType) override
long | tell () override
bool | isEnd () override
unsigned long | getSize () const

## Private Member Functions

| VSDInternalStream (const VSDInternalStream &)
VSDInternalStream & | operator= (const VSDInternalStream &)

## Private Attributes

volatile long | m_offset
std::vector< unsigned char > | m_buffer

## Constructor & Destructor Documentation

## VSDInternalStream() [1/2]

VSDInternalStream::VSDInternalStream | ( | librevenge::RVNGInputStream * | input,
|  | unsigned long | size,
|  | bool | compressed = false )

Referenced by operator=(), and VSDInternalStream().

## ~VSDInternalStream()

VSDInternalStream::~VSDInternalStream | ( |  | ) |

inline override

## VSDInternalStream() [2/2]

VSDInternalStream::VSDInternalStream | ( | const VSDInternalStream & |  | ) |

private

## Member Function Documentation

## existsSubStream()

bool VSDInternalStream::existsSubStream | ( | const char * |  | ) |

inline override

## getSize()

unsigned long VSDInternalStream::getSize | ( |  | ) | const

inline

Referenced by libvisio::VSDParser::handleStream().

## getSubStreamById()

librevenge::RVNGInputStream * VSDInternalStream::getSubStreamById | ( | unsigned |  | ) |

inline override

## getSubStreamByName()

librevenge::RVNGInputStream * VSDInternalStream::getSubStreamByName | ( | const char * |  | ) |

inline override

## isEnd()

bool VSDInternalStream::isEnd | ( |  | ) |

override

## isStructured()

bool VSDInternalStream::isStructured | ( |  | ) |

inline override

## operator=()

VSDInternalStream & VSDInternalStream::operator= | ( | const VSDInternalStream & |  | ) |

private

## read()

const unsigned char * VSDInternalStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead )

override

## seek()

int VSDInternalStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType )

override

## subStreamCount()

unsigned VSDInternalStream::subStreamCount | ( |  | ) |

inline override

## subStreamName()

const char * VSDInternalStream::subStreamName | ( | unsigned |  | ) |

inline override

## tell()

long VSDInternalStream::tell | ( |  | ) |

override

## Member Data Documentation

## m_buffer

std::vector<unsigned char> VSDInternalStream::m_buffer

private

Referenced by getSize(), isEnd(), read(), seek(), and VSDInternalStream().

## m_offset

volatile long VSDInternalStream::m_offset

private

Referenced by isEnd(), read(), seek(), tell(), and VSDInternalStream().

The documentation for this class was generated from the following files:

- VSDInternalStream.h
- VSDInternalStream.cpp